---
agentTools:
  projectIndex: https://chimoney.readme.io/llms.txt
---

# Get details of an existing sub account.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Chimoney API Docs",
    "version": "0.2.4",
    "description": "This is the latest version of the Chimoney API. For deprecated version routes, please refer to /v0.2/api-docs."
  },
  "security": [
    {
      "apiKeyAuth": []
    }
  ],
  "servers": [
    {
      "url": "https://api.chimoney.io/",
      "description": "Prod Server"
    },
    {
      "url": "https://api-v2-sandbox.chimoney.io",
      "description": "Sandbox API v2 (v0.2.4)"
    }
  ],
  "paths": {
    "/v0.2.4/sub-account/get": {
      "get": {
        "summary": "Get details of an existing sub account.",
        "tags": [
          "SubAccount"
        ],
        "parameters": [
          {
            "in": "query",
            "name": "id",
            "schema": {
              "type": "string"
            },
            "description": "Sub account ID.",
            "required": true
          },
          {
            "in": "query",
            "name": "communityID",
            "schema": {
              "type": "string"
            },
            "description": "Community ID.",
            "required": false
          }
        ],
        "responses": {
          "200": {
            "description": "Success.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "example": "success"
                    },
                    "message": {
                      "type": "string",
                      "example": "Sub-account details fetched successfully"
                    },
                    "data": {
                      "type": "object",
                      "properties": {
                        "id": {
                          "type": "string",
                          "example": "907b90ef-d723-4b07-9f74-480afb5f09ef"
                        },
                        "lastName": {
                          "type": "string",
                          "example": "Okeeke"
                        },
                        "parent": {
                          "type": "string",
                          "example": "qP3P6bjbjLZUMxVfxgEqzOF0hNM2"
                        },
                        "feePercent": {
                          "type": "integer",
                          "example": 0
                        },
                        "accountSecondCurrencies": {
                          "type": "array",
                          "items": {
                            "type": "string"
                          },
                          "example": []
                        },
                        "verified": {
                          "type": "boolean",
                          "example": true
                        },
                        "subscription": {
                          "type": "object",
                          "properties": {
                            "subscription_end_timestamp": {
                              "type": "object",
                              "properties": {
                                "_seconds": {
                                  "type": "integer",
                                  "example": 1883676344
                                },
                                "_nanoseconds": {
                                  "type": "integer",
                                  "example": 773000000
                                }
                              }
                            },
                            "subscription_start_timestamp": {
                              "type": "object",
                              "properties": {
                                "_seconds": {
                                  "type": "integer",
                                  "example": 1725909944
                                },
                                "_nanoseconds": {
                                  "type": "integer",
                                  "example": 773000000
                                }
                              }
                            },
                            "id": {
                              "type": "string",
                              "example": "partner-white-glove"
                            }
                          }
                        },
                        "firstName": {
                          "type": "string",
                          "example": "Madueke"
                        },
                        "phoneNumber": {
                          "type": "string",
                          "example": "+2348139955333"
                        },
                        "tier": {
                          "type": "object",
                          "properties": {
                            "id": {
                              "type": "string",
                              "example": "tier-3"
                            }
                          }
                        },
                        "wallets": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "id": {
                                "type": "string",
                                "example": "kmgq3kE1nUN5krrR3RcV"
                              },
                              "owner": {
                                "type": "string",
                                "example": "907b90ef-d723-4b07-9f74-480afb5f09ef"
                              },
                              "balance": {
                                "type": "integer",
                                "example": 1000
                              },
                              "type": {
                                "type": "string",
                                "example": "momo"
                              },
                              "transactions": {
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "amount": {
                                      "type": "integer",
                                      "example": 0
                                    },
                                    "balanceBefore": {
                                      "type": "integer",
                                      "example": 1000
                                    },
                                    "meta": {
                                      "type": "object",
                                      "properties": {
                                        "date": {
                                          "type": "object",
                                          "properties": {
                                            "_seconds": {
                                              "type": "integer",
                                              "example": 1725909944
                                            },
                                            "_nanoseconds": {
                                              "type": "integer",
                                              "example": 768000000
                                            }
                                          }
                                        }
                                      }
                                    },
                                    "newBalance": {
                                      "type": "integer",
                                      "example": 1000
                                    },
                                    "description": {
                                      "type": "string",
                                      "example": "new wallet creation transaction"
                                    }
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/ValidationError"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "404": {
            "description": "Resource not found.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "example": "error"
                    },
                    "type": {
                      "type": "string",
                      "example": "Resource Not Found"
                    },
                    "code": {
                      "type": "string",
                      "example": "SUBACCOUNT_NOT_FOUND"
                    },
                    "message": {
                      "type": "string",
                      "example": "Account with id 7fQ5Rrtl4iL1gmONEE5m not found"
                    }
                  }
                }
              }
            }
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "apiKeyAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "X-API-KEY"
      }
    },
    "responses": {
      "Forbidden": {
        "description": "Access to this resource is forbidden.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/Forbidden"
            }
          }
        }
      },
      "Unauthorized": {
        "description": "Access to this resource is not available for unauthenticated users.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/Unauthorized"
            }
          }
        }
      },
      "ServerError": {
        "description": "Indicates an internal server error.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ServerError"
            }
          }
        }
      },
      "ValidationError": {
        "description": "Validation error in the request.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ValidationError"
            }
          }
        }
      }
    },
    "schemas": {
      "Forbidden": {
        "type": "object",
        "properties": {
          "status": {
            "type": "string",
            "description": "Status of the response.",
            "example": "error"
          },
          "error": {
            "type": "string",
            "description": "Error message indicating forbidden access.",
            "example": "API Access not enabled for account Test. Email support@chimoney.io"
          }
        }
      },
      "Unauthorized": {
        "type": "object",
        "properties": {
          "status": {
            "type": "string",
            "description": "Status of the response.",
            "example": "error"
          },
          "error": {
            "type": "string",
            "description": "Error message indicating unauthorized access.",
            "example": "API key is not defined. Generate a new one from the developer portal."
          }
        }
      },
      "ServerError": {
        "type": "object",
        "properties": {
          "status": {
            "type": "string",
            "description": "Status of the error.",
            "example": "error"
          },
          "type": {
            "type": "string",
            "description": "Type of server error.",
            "example": "server error"
          },
          "code": {
            "type": "string",
            "description": "Specific error code for server issues.",
            "example": "INTERNAL_SERVER_ERROR"
          },
          "message": {
            "type": "string",
            "description": "Detailed message explaining the issue.",
            "example": "An internal server error occurred."
          }
        }
      },
      "ValidationError": {
        "type": "object",
        "properties": {
          "status": {
            "type": "string",
            "description": "Status of the validation error.",
            "example": "error"
          },
          "type": {
            "type": "string",
            "description": "Type of validation error.",
            "example": "Validation Error"
          },
          "code": {
            "type": "string",
            "description": "Error code indicating validation issue.",
            "example": "INVALID_REQUEST"
          },
          "message": {
            "type": "string",
            "description": "Detailed validation error message.",
            "example": "The request parameters are invalid."
          }
        }
      }
    }
  },
  "tags": [
    {
      "name": "SubAccount",
      "description": "All sub-account related endpoints."
    }
  ],
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "_id": {
    "buffer": {
      "0": 102,
      "1": 208,
      "2": 243,
      "3": 240,
      "4": 73,
      "5": 214,
      "6": 34,
      "7": 0,
      "8": 37,
      "9": 190,
      "10": 200,
      "11": 166
    }
  }
}
```